%{
#include "p_i.tab.h"
%}
digito    [0-9]+
frac      [0-9]*\.[0-9]*
operador  [-+=]
nl        \n
%%
{digito}        {
                 sscanf(yytext, "%d", &yylval.ival);
                 return INT;
                }
{frac}          {
                 sscanf(yytext, "%f", &yylval.dval);
                 return FLOAT;
                }
{operador}      return yytext[0];
\n              return ('\n');

